﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{10E20E7B-D762-457B-9190-1220E175A50F}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>GameBoyEmu</RootNamespace>
    <AssemblyName>GameBoyEmu</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="NAudio, Version=1.10.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\NAudio.1.10.0\lib\net35\NAudio.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xaml">
      <RequiredTargetFramework>4.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="WindowsBase" />
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
  </ItemGroup>
  <ItemGroup>
    <ApplicationDefinition Include="App.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </ApplicationDefinition>
    <Page Include="Interface\DebuggerWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Interface\VideoRamWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="MainWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Compile Include="App.xaml.cs">
      <DependentUpon>App.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Emu\Audio\ChannelData.cs" />
    <Compile Include="Emu\Audio\SampleProviders\IExtendedSampleProvider.cs" />
    <Compile Include="Emu\Audio\SampleProviders\CustomWaveGenerator.cs" />
    <Compile Include="Emu\Audio\SampleProviders\AudioMixer.cs" />
    <Compile Include="Emu\Audio\SampleProviders\VolumeEnvelopeProvider.cs" />
    <Compile Include="Emu\Audio\SampleProviders\NoiseSignalGenerator.cs" />
    <Compile Include="Emu\Audio\SampleProviders\SweepSignalGenerator.cs" />
    <Compile Include="Emu\Debugger\CodeParser.cs" />
    <Compile Include="Emu\Debugger\ParsedInstruction.cs" />
    <Compile Include="Emu\Enums\ExternalRamMode.cs" />
    <Compile Include="Emu\Instructions\RegisterHandler.cs" />
    <Compile Include="Emu\Rendering\VRAMSnapshot.cs" />
    <Compile Include="Emu\Structs\ExecutionParameters.cs" />
    <Compile Include="Emu\Utils\BankingUtils.cs" />
    <Compile Include="Emu\Utils\HexUtils.cs" />
    <Compile Include="Emu\VirtualComponents\Auxiliary\Display.cs" />
    <Compile Include="Emu\VirtualComponents\Auxiliary\DMA.cs" />
    <Compile Include="Emu\VirtualComponents\Auxiliary\ICartridgeHeader.cs" />
    <Compile Include="Emu\VirtualComponents\Auxiliary\CartridgeHeader.cs" />
    <Compile Include="Emu\VirtualComponents\Auxiliary\RamIOHelper.cs" />
    <Compile Include="Emu\VirtualComponents\Auxiliary\Timer.cs" />
    <Compile Include="Emu\VirtualComponents\CPU.cs" />
    <Compile Include="Emu\Utils\Debug.cs" />
    <Compile Include="Emu\Enums\JoyButton.cs" />
    <Compile Include="Emu\Enums\Accessor.cs" />
    <Compile Include="Emu\VirtualComponents\GPU.cs" />
    <Compile Include="Emu\Utils\AccessorMapping.cs" />
    <Compile Include="Emu\Utils\BitPosition.cs" />
    <Compile Include="Emu\Enums\RamSize.cs" />
    <Compile Include="Emu\Enums\RomSize.cs" />
    <Compile Include="Emu\Enums\CartridgeType.cs" />
    <Compile Include="Emu\Enums\SGBFlag.cs" />
    <Compile Include="Emu\Enums\CGBFlag.cs" />
    <Compile Include="Emu\Utils\FixedAddresses.cs" />
    <Compile Include="Emu\GameBoy.cs" />
    <Compile Include="Emu\Instructions\AccessorToken.cs" />
    <Compile Include="Emu\Instructions\InstructionOutput.cs" />
    <Compile Include="Emu\Instructions\InstructionSet.cs" />
    <Compile Include="Emu\Instructions\Subsets\DecimalInstructions.cs" />
    <Compile Include="Emu\Instructions\Subsets\BitwiseInstructions.cs" />
    <Compile Include="Emu\Instructions\Subsets\ExtendedBitInstructions.cs" />
    <Compile Include="Emu\Instructions\Subsets\ArithmeticInstructions.cs" />
    <Compile Include="Emu\Instructions\Subsets\CallInstructions.cs" />
    <Compile Include="Emu\Instructions\Subsets\LoadInstructions.cs" />
    <Compile Include="Emu\Instructions\Subsets\CompareInstructions.cs" />
    <Compile Include="Emu\Instructions\Subsets\ControlInstructions.cs" />
    <Compile Include="Emu\Instructions\Subsets\JumpInstructions.cs" />
    <Compile Include="Emu\Instructions\InstructionDescriptor.cs" />
    <Compile Include="Emu\Instructions\InstructionAccessors.cs" />
    <Compile Include="Emu\Utils\InterruptService.cs" />
    <Compile Include="Emu\VirtualComponents\Joypad.cs" />
    <Compile Include="Emu\Optimization\LoopSkipper.cs" />
    <Compile Include="Emu\VirtualComponents\Auxiliary\PaletteSystem.cs" />
    <Compile Include="Emu\VirtualComponents\RAM.cs" />
    <Compile Include="Emu\VirtualComponents\Auxiliary\Cartridge.cs" />
    <Compile Include="Emu\VirtualComponents\Registers.cs" />
    <Compile Include="Emu\Rendering\Palette.cs" />
    <Compile Include="Emu\Rendering\Renderer.cs" />
    <Compile Include="Emu\VirtualComponents\Auxiliary\RTC.cs" />
    <Compile Include="Emu\Structs\Range.cs" />
    <Compile Include="Emu\VirtualComponents\Soundboard.cs" />
    <Compile Include="Interface\DebuggerWindow.xaml.cs">
      <DependentUpon>DebuggerWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="Interface\VideoRamWindow.xaml.cs">
      <DependentUpon>VideoRamWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="MainWindow.xaml.cs">
      <DependentUpon>MainWindow.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>